Bug 432525 - F9-Alpha anaconda installer crashes with SAS multipath
F9-Alpha anaconda installer crashes with SAS multipath
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
other All
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
ARRAY(0x8bcb70)
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 11:24 EST by IBM Bug Proxy
Modified: 2008-05-29 15:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-29 15:39:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda log (16.60 KB, text/plain)
2008-02-12 11:24 EST, IBM Bug Proxy
no flags Details
syslog (428.74 KB, application/octet-stream)
2008-02-12 11:25 EST, IBM Bug Proxy
no flags Details
anaconda dump (453.32 KB, text/plain)
2008-02-12 11:25 EST, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 42274 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-02-12 11:24:54 EST
=Comment: #0=================================================
Jochen Roth <jroth@de.ibm.com> - 2008-02-12 04:31 EDT
We tried to install F9-Alpha on a Cell/B.E. based system. Anaconda crashes when
the VNC session begins. 
The bug only happens when we have two SAS cables from the same storage system
attached to the SAS switch (multipath).
When only one cable is connected everything works as expected.

The following anaconda crash message is displayed (have a look at the
attachments for the full error log) 

anaconda 11.4.0.28 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/isys.py", line 494, in hardDriveDict
    ret[item] = dict[item]['description']
  File "/usr/lib/anaconda/partedUtils.py", line 841, in driveList
    drives = isys.hardDriveDict().keys()
  File "/usr/lib/anaconda/partedUtils.py", line 585, in startMPath
    (self.driveList(),))
  File "/usr/lib/anaconda/partedUtils.py", line 1071, in openDevices
    self.startMPath()
  File "/usr/lib/anaconda/upgrade.py", line 136, in findExistingRoots
    anaconda.id.diskset.openDevices()
  File "/usr/lib/anaconda/upgrade.py", line 113, in findRootParts
    anaconda.id.rootParts = findExistingRoots(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 132, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1201, in nextClicked
    self.anaconda.dispatch.gotoNext()
AttributeError: MultiPath instance has no attribute '__getitem__'
=Comment: #1=================================================
Jochen Roth <jroth@de.ibm.com> - 2008-02-12 04:32 EDT

anaconda dump

=Comment: #2=================================================
Jochen Roth <jroth@de.ibm.com> - 2008-02-12 04:33 EDT

anaconda log

=Comment: #3=================================================
Jochen Roth <jroth@de.ibm.com> - 2008-02-12 04:33 EDT

syslog
Comment 1 IBM Bug Proxy 2008-02-12 11:24:57 EST
Created attachment 294672 [details]
anaconda log
Comment 2 IBM Bug Proxy 2008-02-12 11:25:00 EST
Created attachment 294673 [details]
syslog
Comment 3 IBM Bug Proxy 2008-02-12 11:25:04 EST
Created attachment 294674 [details]
anaconda dump
Comment 4 IBM Bug Proxy 2008-02-19 04:51:58 EST
------- Comment From skannery@in.ibm.com 2008-02-19 04:36 EDT-------
Redhat Team,
Any updates here..
Thanks, Supriya
Comment 5 IBM Bug Proxy 2008-03-06 03:24:49 EST
------- Comment From skannery@in.ibm.com 2008-03-06 03:19 EDT-------
Redhat Team,
Any updates here..
Thanks, Supriya
Comment 6 IBM Bug Proxy 2008-03-27 10:57:05 EDT
------- Comment From aoolatun@us.ibm.com 2008-03-27 10:49 EDT-------
Redhat

Please any updates on this issue?

Thank you
Comment 7 IBM Bug Proxy 2008-04-30 12:49:03 EDT
------- Comment From jroth@de.ibm.com 2008-04-30 12:40 EDT-------
We just tested it with the latest rawhide version and everything works fine now.

Thanks!
Comment 8 Bug Zapper 2008-05-14 01:09:34 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Chris Lumens 2008-05-29 15:39:00 EDT
Closing on the basis of comment #7.  Thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.